Page MenuHomePhabricator

Assess growing GeoData hardware requirements
Closed, ResolvedPublic

Description

Hi, I'd like to assess the hardware needs for GeoData usage.

  • Space: in addition to organic growth, many small wikis are going to automatically get primary coordinates from GeoData after T35704 is resolved. However, compared to the size of text being indexed this is going to be virtually unnoticeable in any case.
  • Current number of spatial requests is 1.5-2.5M per day. We're working on maps so when/if we have dynamic maps with POI on wiki pages, the number of spatial searches might increase sharply. Assuming a 10x increase, this might be up to 16% of current text search load of ~150M reqs/day. Looking at the current ES cluster load in Ganglia, this doesn't seem to be able to cause problems, however better be safe than sorry and take this into account when planning hardware purchases for FY2015-16.

Event Timeline

MaxSem created this task.Apr 1 2015, 10:16 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added a subscriber: MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 10:16 PM
fgiunchedi triaged this task as Normal priority.Apr 2 2015, 9:39 AM
fgiunchedi added a subscriber: fgiunchedi.
Manybubbles moved this task from Needs triage to Maps on the Discovery board.May 7 2015, 7:51 PM
ksmith moved this task from Backlog to Stalled/Waiting on the Maps-Sprint board.
Yurik closed this task as Resolved.Jun 11 2015, 5:59 PM
Yurik claimed this task.
Yurik added a subscriber: Yurik.

Initial estimate is done, will create more tasks if need be.

Yurik moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Jun 11 2015, 5:59 PM